com.independentsoft.exchange

## Class PushSubscription

- java.lang.Object
- - com.independentsoft.exchange.Subscription
  - - com.independentsoft.exchange.PushSubscription

-     public class PushSubscription
      extends Subscription

  Represents the frequency, specified in minutes, at which notification messages will be sent to the client when no events have occurred.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PushSubscription()` Initializes a new instance of the PushSubscription class.
    `PushSubscription(boolean subscribeToAllFolders, EventType eventType)` Initializes a new instance of the PushSubscription class.
    `PushSubscription(boolean subscribeToAllFolders, java.util.List<EventType> eventTypes)` Initializes a new instance of the PushSubscription class.
    `PushSubscription(FolderId folderId, EventType eventType, java.lang.String url)` Initializes a new instance of the PushSubscription class.
    `PushSubscription(FolderId folderId, EventType eventType, java.lang.String url, int statusFrequency)` Initializes a new instance of the PushSubscription class.
    `PushSubscription(FolderId folderId, EventType eventType, java.lang.String url, int statusFrequency, java.lang.String watermark)` Initializes a new instance of the PushSubscription class.
    `PushSubscription(FolderId folderId, EventType eventType, java.lang.String url, java.lang.String watermark)` Initializes a new instance of the PushSubscription class.
    `PushSubscription(FolderId folderId, java.lang.String url)` Initializes a new instance of the PushSubscription class.
    `PushSubscription(StandardFolder standardFolder, EventType eventType, java.lang.String url)` Initializes a new instance of the PushSubscription class.
    `PushSubscription(StandardFolder standardFolder, EventType eventType, java.lang.String url, int statusFrequency)` Initializes a new instance of the PushSubscription class.
    `PushSubscription(StandardFolder standardFolder, EventType eventType, java.lang.String url, int statusFrequency, java.lang.String watermark)` Initializes a new instance of the PushSubscription class.
    `PushSubscription(StandardFolder standardFolder, EventType eventType, java.lang.String url, java.lang.String watermark)` Initializes a new instance of the PushSubscription class.
    `PushSubscription(StandardFolder standardFolder, java.lang.String url)` Initializes a new instance of the PushSubscription class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCallerData()` Gets information about the caller.
    `int` | `getStatusFrequency()` Gets the frequency, specified in minutes, at which notification messages will be sent to the client when no events have occurred.
    `java.lang.String` | `getUrl()` Gets the location of the client Web service for push notifications.
    `void` | `setCallerData(java.lang.String callerData)` Sets information about the caller.
    `void` | `setStatusFrequency(int statusFrequency)` Sets the frequency, specified in minutes, at which notification messages will be sent to the client when no events have occurred.
    `void` | `setUrl(java.lang.String url)` Sets the location of the client Web service for push notifications.

    - ### Methods inherited from class com.independentsoft.exchange.Subscription

      `getEventTypes, getFolders, getWatermark, isSubscribeToAllFolders, setSubscribeToAllFolders, setWatermark`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PushSubscription

          public PushSubscription()

      Initializes a new instance of the PushSubscription class.

    - #### PushSubscription

          public PushSubscription(boolean subscribeToAllFolders,
                                  EventType eventType)

      Initializes a new instance of the PushSubscription class.
      Parameters:
        `subscribeToAllFolders` - the subscribe to all folders
        `eventType` - the event type

    - #### PushSubscription

          public PushSubscription(boolean subscribeToAllFolders,
                                  java.util.List<EventType> eventTypes)

      Initializes a new instance of the PushSubscription class.
      Parameters:
        `subscribeToAllFolders` - the subscribe to all folders
        `eventTypes` - the event types

    - #### PushSubscription

          public PushSubscription(FolderId folderId,
                                  java.lang.String url)

      Initializes a new instance of the PushSubscription class.
      Parameters:
        `folderId` - the folder id
        `url` - the url

    - #### PushSubscription

          public PushSubscription(FolderId folderId,
                                  EventType eventType,
                                  java.lang.String url)

      Initializes a new instance of the PushSubscription class.
      Parameters:
        `folderId` - the folder id
        `eventType` - the event type
        `url` - the url

    - #### PushSubscription

          public PushSubscription(FolderId folderId,
                                  EventType eventType,
                                  java.lang.String url,
                                  java.lang.String watermark)

      Initializes a new instance of the PushSubscription class.
      Parameters:
        `folderId` - the folder id
        `eventType` - the event type
        `url` - the url
        `watermark` - the watermark

    - #### PushSubscription

          public PushSubscription(FolderId folderId,
                                  EventType eventType,
                                  java.lang.String url,
                                  int statusFrequency)

      Initializes a new instance of the PushSubscription class.
      Parameters:
        `folderId` - the folder id
        `eventType` - the event type
        `url` - the url
        `statusFrequency` - the status frequency

    - #### PushSubscription

          public PushSubscription(FolderId folderId,
                                  EventType eventType,
                                  java.lang.String url,
                                  int statusFrequency,
                                  java.lang.String watermark)

      Initializes a new instance of the PushSubscription class.
      Parameters:
        `folderId` - the folder id
        `eventType` - the event type
        `url` - the url
        `statusFrequency` - the status frequency
        `watermark` - the watermark

    - #### PushSubscription

          public PushSubscription(StandardFolder standardFolder,
                                  java.lang.String url)

      Initializes a new instance of the PushSubscription class.
      Parameters:
        `standardFolder` - the standard folder
        `url` - the url

    - #### PushSubscription

          public PushSubscription(StandardFolder standardFolder,
                                  EventType eventType,
                                  java.lang.String url)

      Initializes a new instance of the PushSubscription class.
      Parameters:
        `standardFolder` - the standard folder
        `eventType` - the event type
        `url` - the url

    - #### PushSubscription

          public PushSubscription(StandardFolder standardFolder,
                                  EventType eventType,
                                  java.lang.String url,
                                  java.lang.String watermark)

      Initializes a new instance of the PushSubscription class.
      Parameters:
        `standardFolder` - the standard folder
        `eventType` - the event type
        `url` - the url
        `watermark` - the watermark

    - #### PushSubscription

          public PushSubscription(StandardFolder standardFolder,
                                  EventType eventType,
                                  java.lang.String url,
                                  int statusFrequency)

      Initializes a new instance of the PushSubscription class.
      Parameters:
        `standardFolder` - the standard folder
        `eventType` - the event type
        `url` - the url
        `statusFrequency` - the status frequency

    - #### PushSubscription

          public PushSubscription(StandardFolder standardFolder,
                                  EventType eventType,
                                  java.lang.String url,
                                  int statusFrequency,
                                  java.lang.String watermark)

      Initializes a new instance of the PushSubscription class.
      Parameters:
        `standardFolder` - the standard folder
        `eventType` - the event type
        `url` - the url
        `statusFrequency` - the status frequency
        `watermark` - the watermark

  - ### Method Detail

    - #### getStatusFrequency

          public int getStatusFrequency()

      Gets the frequency, specified in minutes, at which notification messages will be sent to the client when no events have occurred.
      Returns:
        the status frequency

    - #### setStatusFrequency

          public void setStatusFrequency(int statusFrequency)

      Sets the frequency, specified in minutes, at which notification messages will be sent to the client when no events have occurred.
      Parameters:
        `statusFrequency` - the new status frequency

    - #### getUrl

          public java.lang.String getUrl()

      Gets the location of the client Web service for push notifications.
      Returns:
        the url

    - #### setUrl

          public void setUrl(java.lang.String url)

      Sets the location of the client Web service for push notifications.
      Parameters:
        `url` - the new url

    - #### getCallerData

          public java.lang.String getCallerData()

      Gets information about the caller.
      Returns:
        the caller data

    - #### setCallerData

          public void setCallerData(java.lang.String callerData)

      Sets information about the caller.
      Parameters:
        `callerData` - the new caller data